Bug Hunting Session
Bug 78826 - UI: inconsistent fields labeling. "Text:" or "Text"?
Summary: UI: inconsistent fields labeling. "Text:" or "Text"?
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Adolfo Jayme
URL:
Whiteboard: BSA target:4.4.0
Keywords: difficultyInteresting, easyHack, regression, skillHIG, topicUI
Depends on:
Blocks:
 
Reported: 2014-05-17 12:52 UTC by Thomas Arnhold
Modified: 2016-02-18 16:37 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
First tab page (34.30 KB, image/png)
2014-05-17 12:53 UTC, Thomas Arnhold
Details
Second tab page (37.41 KB, image/png)
2014-05-17 12:53 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2014-05-17 12:52:22 UTC
Problem description:

The UI uses "Buttons:" or "Buttons" allover mixed. There should be a guideline how to label input fields.

Steps to reproduce:
1. Open calc
2. Create a dummy chart
3. Right-click > Position and Size

Current behavior:
First and second tab page have different label for "Position X:" and "Position X".

Expected behavior:
Should be consistent.

              
Operating System: All
Version: 4.3.0.0.alpha1
Comment 1 Thomas Arnhold 2014-05-17 12:53:31 UTC
Created attachment 99214 [details]
First tab page
Comment 2 Thomas Arnhold 2014-05-17 12:53:52 UTC
Created attachment 99215 [details]
Second tab page
Comment 3 tommy27 2014-05-17 19:39:18 UTC
hi Thomas.
I confirm the bug under Win7x64 in 4.2.4.2 and 4.3.0.0.alpha1+
Build ID: a1dd961c3093f5f7624e4d1f2240e9120fd13f23
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-06_11:47:48

after testing with previous releases I can tell the correct typing is "Position X" and "Position Y" like it was in LibO 4.1.5.3 and it is in AOO 4.1

"Position X:" and "Position Y:" in first tab started appearing  from 4.2.0.4

did you find other similar issues in other places of the UI?
Comment 4 Julien Nabet 2014-05-18 19:33:15 UTC
Caolan/Stefan/Olivier: indeed http://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=b232299c3128fa0d0ebc727a4faaf8dd4ef831c1 contains ":" at the end.

Indeed second tab Rotation and third tab "Slant and Corner Radius" don't have this final ":"
Menu Format/page contain tabs that all have final ":" except borders.

Is there some kind of "official" rule to follow? If yes, which one?
Comment 5 Julien Nabet 2014-05-18 19:38:19 UTC
BTW, UI file for Position and Size is cui/uiconfig/ui/possizetabpage.ui
Comment 6 Caolán McNamara 2014-05-19 12:21:23 UTC
FWIW we adopted the GNOME hig for spacing and so forth. And the GNOME HIG (https://developer.gnome.org/hig-book/3.7/design-text-labels.html.en) has "If the label precedes the control it is labelling, end the label with a colon. For example, Email:"

That said there are just a gadzillion of these labels. Very old LibreOffice pre-ui dialogs tend to have colons, middle-age pre-ui ones tend not and most new post-ui dialogs just have the same text in them as the old ones and so tend not to have them.

I guess colons are technically the most correct variant, but the minority one.

Maybe the best solution is to 
a) remove : from high profile labels for 4.3.0
b) then mass add colons at the end of all labels that have a mnemonic_widget property set and modify ./bin/lint-ui.py to insiste on a colon at the end of the string if there is a mnemonic_widget set and vice-versa insist on a mnemonic_widget if the label string ends in :
Comment 7 Julien Nabet 2014-05-19 18:00:24 UTC
Caolán: I didn't understand what you meant with "high profile labels"
For the rest, no problem for me to remove columns first to have something homogeneous, then mass add them in a second time (I suppose for 4.4.0). Now I'm not a UI expert.
Comment 8 Stefan Knorr (astron) 2014-05-20 06:57:28 UTC
Caolan, why not do the mass addition now, especially as Julien appears to be volunteering? Afaik, string freeze is still a bit out.

Also, defining what labels are "high-profile" is an unsolvable issue without user data.
Comment 9 Caolán McNamara 2014-05-20 12:37:51 UTC
yeah, sure I guess, if someone wants to script up just adding : to the end of all labels that have a mnemonic_widget target set that'd be "a good thing"
Comment 10 Julien Nabet 2014-05-20 12:44:49 UTC
Stefan/Caolan: Personally, I don't know at all ./bin/lint-ui.py. So if someone knows how to use it and has some time...
Comment 11 Björn Michaelsen 2014-05-23 12:13:20 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 12 Robinson Tryon (qubit) 2014-09-05 07:52:50 UTC
Removing comma from whiteboard (please use a space to delimit values in this field)
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Whiteboard#Getting_Started
Comment 13 Adolfo Jayme 2014-09-07 04:50:21 UTC
@ Comments 7 and 8:
Isn’t the definition of “high-profile dialog” kind of obvious?
The things you immediately see, the opposite of obscure windows . . .

Of course, this definition is obvious, but by no means exact, I reckon.

@ Comment 12:
Why should a bug subscriber care about that the QA team doesn’t like commas in a random whiteboard? That was useless spam.</rant>
Comment 14 Commit Notification 2014-09-21 12:37:47 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e00d828a2c1bfa62e40b0f2222240d60b1cf5710

(fdo#78826) HIG: add missing colons in optformula



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2014-09-22 11:34:09 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e82b36ccbbdcdecbfc1b7744bc25f26204a78e33

fdo#78826 HIG: missing colons and capitalization in sd



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2014-11-01 21:05:03 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a51aa75d92eadaa613192a1773e0b78b0df74527

fdo#78826 HIG: missing colons and capitalization in cui, filter

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Adolfo Jayme 2014-11-18 10:37:34 UTC
Most dialogs are fixed now, including the one shown in this bug’s screenshots. The remaining dialogs will be fixed after branching 4.4.
Comment 18 Thomas Arnhold 2014-11-18 11:15:56 UTC
Thank you very much :)
Comment 19 Robinson Tryon (qubit) 2015-12-15 12:11:12 UTC
Migrating Whiteboard tags to Keywords: (EasyHack TopicUI DifficultyInteresting SkillHIG )
[NinjaEdit]
Comment 20 Robinson Tryon (qubit) 2016-02-18 16:37:16 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]